package com.yeejoin.amos.boot.module.ys.api.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yeejoin.amos.boot.module.ys.api.dto.YsEmergencyUnitDto;
import com.yeejoin.amos.boot.module.ys.api.entity.YsEmergencyUnit;
import com.yeejoin.amos.feign.privilege.model.AgencyUserModel;
import org.springframework.web.multipart.MultipartFile;
import org.typroject.tyboot.core.restful.utils.ResponseModel;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * 应急联动单位管理接口类
 *
 * @author system_generator chang xiangyu
 * @date 2024-09-24
 */
public interface IYsEmergencyUnitService {

    Boolean saveOrUpdate(YsEmergencyUnitDto ysEmergencyUnitDto, AgencyUserModel userModel);

    Boolean deleteBySeq(String sequenceNbr);

    YsEmergencyUnitDto queryBySeq(Long sequenceNbr);

    YsEmergencyUnitDto querySafeUnitBySeq(Long sequenceNbr);

    Page<YsEmergencyUnitDto> querySafeUnitsByPage(Page<YsEmergencyUnit> page,YsEmergencyUnitDto ysEmergencyUnitDto);

    void export(HttpServletResponse response, List<String> asList);

    ResponseModel<Object> expertDataImport(MultipartFile file, AgencyUserModel userModel);
}
